package intrinsic.mx.controls;

public class ColorPicker extends intrinsic.mx.controls.ComboBase {

	/** Accessors */
	public boolean editable;
	public boolean showTextField;
	public int selectedColor;
	public String colorField;
	public String labelField;

	/** Variables */
	public intrinsic.Array transitions;
	public intrinsic.Array states;

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */
	public static intrinsic.Function createAccessibilityImplementation;

/** Contructors */
public ColorPicker() {
}


/** Static Methods */

/** Methods */
public native void open();
public native void close();
public native void close(intrinsic.flash.events.Event arg0);
public native void styleChanged(String arg0);

}
